Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support
[Java] Class StaticResourceLoader

    java.lang.Object
      org.codehaus.groovy.grails.support.StaticResourceLoader

All Implemented Interfaces:
  ResourceLoader

    public class StaticResourceLoader

A ResourceLoader that loads resources from a statically defined base resource.

Authors:
  Graeme Rocher

Since:
  0.5

Method Summary
`java.lang.ClassLoader` | `getClassLoader()`
`Resource` | `getResource(java.lang.String location)`
`void` | `setBaseResource(Resource baseResource)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

### getResource

    public Resource getResource(java.lang.String location)

### setBaseResource

    public void setBaseResource(Resource baseResource)

Groovy Documentation